<template>
  <div class="fix-height-subpage column no-wrap q-pa-md">
    <list-header></list-header>
    <list-table></list-table>
  </div>
</template>

<script lang="ts">
import { date } from 'quasar'
import { inject, provide, reactive, toRefs, defineComponent,onMounted } from 'vue';
import useMetaModule from '../../module/meta/metaModule'
import { useI18n } from 'vue-i18n'
import { DirtionmaryHelper } from '../../config/dictionary';
import ListHeader from 'src/components/CharteredBus/list/ListHeader.vue';
import ListTable from 'src/components/CharteredBus/list/ListTable.vue';
export default defineComponent({
  components: { ListHeader, ListTable },
  setup(props) {
    let { setTitle } = useMetaModule()
    const { t } = useI18n()
    const pageTitle = inject(DirtionmaryHelper.PAGE_TITLE_KEY) as any
    pageTitle.value = t('v102.CharteredBus.pageTitle')
    setTitle(pageTitle.value)

    const data= reactive({
      
    })
    
    const search = reactive({
      msg:{
        CarType: 0,//类型 1接机 2送机 3包车
        Q_SPeopleNum: '',//起始人数
        Q_EPeopleNum: '',//截止人数
        Q_Country: 0,
        Q_City: 0,
        Q_AirportId: 0,
        Q_Date: date.formatDate(date.addToDate(new Date(), { days: 1 }), 'YYYY/MM/DD'),//预约日期
        Q_SPrice: '',//起始价格
        Q_EPrice: '',//	结束价格
        ViewType:2,//列表模式
      }
    })
    provide(DirtionmaryHelper.TICKET_QUERY_PARAM, search)
    const menu=inject(DirtionmaryHelper.MENU_KEYS) as any
    menu.value=5
    const methods = {
      
    }
    onMounted(()=>{
      
    })
    return {
      ...toRefs(data),
      ...methods
    }
  }
})
</script>

<style>

</style>
